package com.custardgames.hotel.entities.ecs.components;

import com.artemis.Component;
import com.badlogic.gdx.physics.box2d.Fixture;
import com.badlogic.gdx.utils.Array;

public class Box2dInteractionComponent extends Component
{
	private Fixture interactionFixture;
	private Array<Fixture> collisions;

	public Box2dInteractionComponent(Fixture interactionFixture)
	{
		this.interactionFixture = interactionFixture;
		collisions = new Array<Fixture>();
	}

	public void addFixture(Fixture fixture)
	{
		collisions.add(fixture);
	}

	public void removeFixture(Fixture fixture)
	{
		collisions.removeValue(fixture, true);
	}

	public Array<Fixture> getCollisions()
	{
		return collisions;
	}

	public Fixture getInteractionFixture()
	{
		return interactionFixture;
	}

	public void setInteractionFixture(Fixture interactionFixture)
	{
		this.interactionFixture = interactionFixture;
	}

}
